Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7182 - duplicate filename entries in directories, unable to delete
Summary: duplicate filename entries in directories, unable to delete
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-20 20:43 UTC by John Bass
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-23 23:36:07 UTC


Attachments (Terms of Use)

Description John Bass 1999-11-20 20:43:10 UTC
[root@gate 6.1]# ls -l
total 28949
-rw-rw-r--   1 root     root          616 Nov 20 12:37 SPRMS
-rw-rw-r--   1 root     root          616 Nov 20 12:37 SRPMS
-rw-rw-r--   1 root     root     22036480 Nov 20 12:36 i386.tar
-rw-rw-r--   1 root     root      7393280 Nov 20 12:40 images.tar
-rw-rw-r--   1 root     root        92160 Nov 20 12:38 noarch.tar
[root@gate 6.1]# rm SPRMS
rm: remove `SPRMS'? y
[root@gate 6.1]# rm SPRMS
rm: cannot remove `SPRMS': No such file or directory
[root@gate 6.1]# ls -l
total 28948
-rw-rw-r--   1 root     root          616 Nov 20 12:37 SRPMS
-rw-rw-r--   1 root     root     22036480 Nov 20 12:36 i386.tar
-rw-rw-r--   1 root     root      7393280 Nov 20 12:40 images.tar
-rw-rw-r--   1 root     root        92160 Nov 20 12:38 noarch.tar
[root@gate 6.1]# ls | od -c
0000000   S   R   P   M   S  \n   i   3   8   6   .   t   a   r  \n   i
0000020   m   a   g   e   s   .   t   a   r  \n   n   o   a   r   c   h
0000040   .   t   a   r  \n
0000045
[root@gate 6.1]# >SPRMS
[root@gate 6.1]# ls -ltri
total 28948
1957943 -rw-rw-r--   1 root     root     22036480 Nov 20 12:36 i386.tar
1957945 -rw-rw-r--   1 root     root          616 Nov 20 12:37 SRPMS
1957946 -rw-rw-r--   1 root     root        92160 Nov 20 12:38 noarch.tar
1957947 -rw-rw-r--   1 root     root      7393280 Nov 20 12:40 images.tar
1957944 -rw-rw-r--   1 root     root            0 Nov 20 13:36 SPRMS
Upgraded from 5.2 to 6.1 and now the filesystem is unstable.
It frequently creates duplicate directory entries that are not
removable.

[root@gate 6.1]# rm SPRMS
rm: remove `SPRMS'? y
[root@gate 6.1]# rm SPRMS
rm: cannot remove `SPRMS': No such file or directory
[root@gate 6.1]# ls -ltri
total 28948
1957943 -rw-rw-r--   1 root     root     22036480 Nov 20 12:36 i386.tar
1957945 -rw-rw-r--   1 root     root          616 Nov 20 12:37 SRPMS
1957946 -rw-rw-r--   1 root     root        92160 Nov 20 12:38 noarch.tar
1957947 -rw-rw-r--   1 root     root      7393280 Nov 20 12:40 images.tar
[root@gate 6.1]# df -k .
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/sda3              7956306   7394036    149803  98% /
[root@gate 6.1]# cat /etc/fstab
/dev/sda3               /                       ext2    defaults        1 1

Comment 1 Cristian Gafton 2000-01-04 22:26:59 UTC
Assigned to dledford

Comment 2 Stephen John Smoogen 2003-01-23 23:36:07 UTC
Bug 7182 is being closed because it seems to have been fixed in the long
timeframe since 1999. I am unable to duplicate it on a 8.0 or 7.3 red hat linux.
If it is still occuring, please open a new bug.


Note You need to log in before you can comment on or make changes to this bug.